
_LCD_write:

;tft_2_4_lib.c,93 :: 		void LCD_write(unsigned short d) {
;tft_2_4_lib.c,95 :: 		TFT_WR = 0;
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,96 :: 		TFT_DataPort = d;
	MOVF        FARG_LCD_write_d+0, 0 
	MOVWF       PORTC+0 
;tft_2_4_lib.c,97 :: 		TFT_WR = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,98 :: 		}
L_end_LCD_write:
	RETURN      0
; end of _LCD_write

_LCD_command_write:

;tft_2_4_lib.c,102 :: 		void LCD_command_write(unsigned short d) {
;tft_2_4_lib.c,104 :: 		TFT_RS =0;
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;tft_2_4_lib.c,105 :: 		LCD_write(d);
	MOVF        FARG_LCD_command_write_d+0, 0 
	MOVWF       FARG_LCD_write_d+0 
	CALL        _LCD_write+0, 0
;tft_2_4_lib.c,106 :: 		}
L_end_LCD_command_write:
	RETURN      0
; end of _LCD_command_write

_LCD_data_write:

;tft_2_4_lib.c,110 :: 		void LCD_data_write(unsigned short d) {
;tft_2_4_lib.c,112 :: 		TFT_RS = 1;
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;tft_2_4_lib.c,113 :: 		LCD_write(d);
	MOVF        FARG_LCD_data_write_d+0, 0 
	MOVWF       FARG_LCD_write_d+0 
	CALL        _LCD_write+0, 0
;tft_2_4_lib.c,114 :: 		}
L_end_LCD_data_write:
	RETURN      0
; end of _LCD_data_write

_LCD_read:

;tft_2_4_lib.c,118 :: 		unsigned short LCD_read(void) {
;tft_2_4_lib.c,121 :: 		TFT_RS = 1;
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;tft_2_4_lib.c,123 :: 		TFT_RD = 0;
	BCF         LATD1_bit+0, BitPos(LATD1_bit+0) 
;tft_2_4_lib.c,124 :: 		BD_as_input(); // Set arduino pins as input
	CALL        _BD_as_input+0, 0
;tft_2_4_lib.c,125 :: 		port_TFT = TFT_DataPort;       // Salva data port
	MOVF        PORTC+0, 0 
	MOVWF       LCD_read_port_TFT_L0+0 
;tft_2_4_lib.c,126 :: 		TFT_RD = 1;
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
;tft_2_4_lib.c,127 :: 		BD_as_output(); // Re-Set arduino pins as output
	CALL        _BD_as_output+0, 0
;tft_2_4_lib.c,128 :: 		return port_TFT;
	MOVF        LCD_read_port_TFT_L0+0, 0 
	MOVWF       R0 
;tft_2_4_lib.c,129 :: 		}
L_end_LCD_read:
	RETURN      0
; end of _LCD_read

_BD_as_input:

;tft_2_4_lib.c,133 :: 		void BD_as_input(void) {
;tft_2_4_lib.c,135 :: 		TFT_DataPort_Direction = 0xFF;    // Input
	MOVLW       255
	MOVWF       TRISC+0 
;tft_2_4_lib.c,136 :: 		}
L_end_BD_as_input:
	RETURN      0
; end of _BD_as_input

_BD_as_output:

;tft_2_4_lib.c,140 :: 		void BD_as_output(void) {
;tft_2_4_lib.c,142 :: 		TFT_DataPort_Direction = 0x00;  // Output
	CLRF        TRISC+0 
;tft_2_4_lib.c,143 :: 		}
L_end_BD_as_output:
	RETURN      0
; end of _BD_as_output

_LCD_init:

;tft_2_4_lib.c,147 :: 		void LCD_init(void) {
;tft_2_4_lib.c,149 :: 		TFT_RST = 1;
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
;tft_2_4_lib.c,150 :: 		Delay_msec(10);
	MOVLW       10
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,151 :: 		TFT_RST = 0;
	BCF         LATD0_bit+0, BitPos(LATD0_bit+0) 
;tft_2_4_lib.c,152 :: 		Delay_msec(20);
	MOVLW       20
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,153 :: 		TFT_RST = 1;
	BSF         LATD0_bit+0, BitPos(LATD0_bit+0) 
;tft_2_4_lib.c,154 :: 		Delay_msec(20);
	MOVLW       20
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,156 :: 		TFT_CS = 1;
	BSF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;tft_2_4_lib.c,157 :: 		TFT_WR = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,158 :: 		TFT_RD = 1;
	BSF         LATD1_bit+0, BitPos(LATD1_bit+0) 
;tft_2_4_lib.c,159 :: 		TFT_CS = 0;
	BCF         LATD3_bit+0, BitPos(LATD3_bit+0) 
;tft_2_4_lib.c,161 :: 		LCD_command_write(0xF7); // Pump ratio control
	MOVLW       247
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,162 :: 		LCD_data_write(0x20); //
	MOVLW       32
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,164 :: 		LCD_command_write(0x3A); // COLMOD: Pixel Format Set
	MOVLW       58
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,165 :: 		LCD_data_write(0x55);
	MOVLW       85
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,167 :: 		LCD_command_write(0x36); // Memory Access Control
	MOVLW       54
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,179 :: 		LCD_data_write(0x88);         // 0B00001000   0b10000000(attuale)
	MOVLW       136
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,181 :: 		LCD_command_write(0x11); // Sleep OUT
	MOVLW       17
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,182 :: 		LCD_command_write(0x29); // Display ON
	MOVLW       41
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,184 :: 		Delay_msec(50);
	MOVLW       50
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,185 :: 		}
L_end_LCD_init:
	RETURN      0
; end of _LCD_init

_TFT_set_display_window:

;tft_2_4_lib.c,190 :: 		unsigned int x2, unsigned int y2) {
;tft_2_4_lib.c,192 :: 		LCD_command_write(0x2a);           // 0x2A Column
	MOVLW       42
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,193 :: 		LCD_data_write(y1 >> 8);
	MOVF        FARG_TFT_set_display_window_y1+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,194 :: 		LCD_data_write(y1);
	MOVF        FARG_TFT_set_display_window_y1+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,195 :: 		LCD_data_write(y2 >> 8);
	MOVF        FARG_TFT_set_display_window_y2+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,196 :: 		LCD_data_write(y2);
	MOVF        FARG_TFT_set_display_window_y2+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,198 :: 		LCD_command_write(0x2b);             // Page Address Set
	MOVLW       43
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,199 :: 		LCD_data_write(x1 >> 8);
	MOVF        FARG_TFT_set_display_window_x1+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,200 :: 		LCD_data_write(x1);
	MOVF        FARG_TFT_set_display_window_x1+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,201 :: 		LCD_data_write(x2 >> 8);
	MOVF        FARG_TFT_set_display_window_x2+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,202 :: 		LCD_data_write(x2);
	MOVF        FARG_TFT_set_display_window_x2+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,204 :: 		LCD_command_write(0x2c);            // Memory Write
	MOVLW       44
	MOVWF       FARG_LCD_command_write_d+0 
	CALL        _LCD_command_write+0, 0
;tft_2_4_lib.c,205 :: 		}
L_end_TFT_set_display_window:
	RETURN      0
; end of _TFT_set_display_window

_LCD_rect:

;tft_2_4_lib.c,209 :: 		void LCD_rect(int col,int row, int width, int height, int color) {
;tft_2_4_lib.c,213 :: 		TFT_set_display_window(col, row, (col+width-1), (row+height-1));  // (x1, y1, x2, y2)
	MOVF        FARG_LCD_rect_col+0, 0 
	MOVWF       FARG_TFT_set_display_window_x1+0 
	MOVF        FARG_LCD_rect_col+1, 0 
	MOVWF       FARG_TFT_set_display_window_x1+1 
	MOVF        FARG_LCD_rect_row+0, 0 
	MOVWF       FARG_TFT_set_display_window_y1+0 
	MOVF        FARG_LCD_rect_row+1, 0 
	MOVWF       FARG_TFT_set_display_window_y1+1 
	MOVF        FARG_LCD_rect_width+0, 0 
	ADDWF       FARG_LCD_rect_col+0, 0 
	MOVWF       FARG_TFT_set_display_window_x2+0 
	MOVF        FARG_LCD_rect_width+1, 0 
	ADDWFC      FARG_LCD_rect_col+1, 0 
	MOVWF       FARG_TFT_set_display_window_x2+1 
	MOVLW       1
	SUBWF       FARG_TFT_set_display_window_x2+0, 1 
	MOVLW       0
	SUBWFB      FARG_TFT_set_display_window_x2+1, 1 
	MOVF        FARG_LCD_rect_height+0, 0 
	ADDWF       FARG_LCD_rect_row+0, 0 
	MOVWF       FARG_TFT_set_display_window_y2+0 
	MOVF        FARG_LCD_rect_height+1, 0 
	ADDWFC      FARG_LCD_rect_row+1, 0 
	MOVWF       FARG_TFT_set_display_window_y2+1 
	MOVLW       1
	SUBWF       FARG_TFT_set_display_window_y2+0, 1 
	MOVLW       0
	SUBWFB      FARG_TFT_set_display_window_y2+1, 1 
	CALL        _TFT_set_display_window+0, 0
;tft_2_4_lib.c,215 :: 		chigh = color >> 8;
	MOVF        FARG_LCD_rect_color+1, 0 
	MOVWF       R0 
	MOVLW       0
	BTFSC       FARG_LCD_rect_color+1, 7 
	MOVLW       255
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       LCD_rect_chigh_L0+0 
;tft_2_4_lib.c,216 :: 		clow = color;
	MOVF        FARG_LCD_rect_color+0, 0 
	MOVWF       LCD_rect_clow_L0+0 
;tft_2_4_lib.c,218 :: 		for(i=0; i<width; i++)
	CLRF        LCD_rect_i_L0+0 
	CLRF        LCD_rect_i_L0+1 
L_LCD_rect0:
	MOVF        FARG_LCD_rect_width+1, 0 
	SUBWF       LCD_rect_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__LCD_rect140
	MOVF        FARG_LCD_rect_width+0, 0 
	SUBWF       LCD_rect_i_L0+0, 0 
L__LCD_rect140:
	BTFSC       STATUS+0, 0 
	GOTO        L_LCD_rect1
;tft_2_4_lib.c,219 :: 		for(j=0; j<height; j++)
	CLRF        LCD_rect_j_L0+0 
	CLRF        LCD_rect_j_L0+1 
L_LCD_rect3:
	MOVF        FARG_LCD_rect_height+1, 0 
	SUBWF       LCD_rect_j_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__LCD_rect141
	MOVF        FARG_LCD_rect_height+0, 0 
	SUBWF       LCD_rect_j_L0+0, 0 
L__LCD_rect141:
	BTFSC       STATUS+0, 0 
	GOTO        L_LCD_rect4
;tft_2_4_lib.c,221 :: 		LCD_data_write(chigh);
	MOVF        LCD_rect_chigh_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,222 :: 		LCD_data_write(clow);
	MOVF        LCD_rect_clow_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,219 :: 		for(j=0; j<height; j++)
	INFSNZ      LCD_rect_j_L0+0, 1 
	INCF        LCD_rect_j_L0+1, 1 
;tft_2_4_lib.c,223 :: 		}
	GOTO        L_LCD_rect3
L_LCD_rect4:
;tft_2_4_lib.c,218 :: 		for(i=0; i<width; i++)
	INFSNZ      LCD_rect_i_L0+0, 1 
	INCF        LCD_rect_i_L0+1, 1 
;tft_2_4_lib.c,223 :: 		}
	GOTO        L_LCD_rect0
L_LCD_rect1:
;tft_2_4_lib.c,224 :: 		}
L_end_LCD_rect:
	RETURN      0
; end of _LCD_rect

_LCD_clear:

;tft_2_4_lib.c,228 :: 		void LCD_clear(char color) {
;tft_2_4_lib.c,231 :: 		TFT_set_display_window(0, 0, 319, 239); // (x1, y1, x2, y2)
	CLRF        FARG_TFT_set_display_window_x1+0 
	CLRF        FARG_TFT_set_display_window_x1+1 
	CLRF        FARG_TFT_set_display_window_y1+0 
	CLRF        FARG_TFT_set_display_window_y1+1 
	MOVLW       63
	MOVWF       FARG_TFT_set_display_window_x2+0 
	MOVLW       1
	MOVWF       FARG_TFT_set_display_window_x2+1 
	MOVLW       239
	MOVWF       FARG_TFT_set_display_window_y2+0 
	MOVLW       0
	MOVWF       FARG_TFT_set_display_window_y2+1 
	CALL        _TFT_set_display_window+0, 0
;tft_2_4_lib.c,232 :: 		TFT_RS = 1;
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;tft_2_4_lib.c,233 :: 		TFT_DataPort = color;
	MOVF        FARG_LCD_clear_color+0, 0 
	MOVWF       PORTC+0 
;tft_2_4_lib.c,235 :: 		x = 38400;                 // 240*320/2
	MOVLW       0
	MOVWF       LCD_clear_x_L0+0 
	MOVLW       150
	MOVWF       LCD_clear_x_L0+1 
;tft_2_4_lib.c,236 :: 		for(y=0;y<x;y++) {
	CLRF        LCD_clear_y_L0+0 
	CLRF        LCD_clear_y_L0+1 
L_LCD_clear6:
	MOVF        LCD_clear_x_L0+1, 0 
	SUBWF       LCD_clear_y_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__LCD_clear143
	MOVF        LCD_clear_x_L0+0, 0 
	SUBWF       LCD_clear_y_L0+0, 0 
L__LCD_clear143:
	BTFSC       STATUS+0, 0 
	GOTO        L_LCD_clear7
;tft_2_4_lib.c,237 :: 		TFT_WR = 0;
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,238 :: 		TFT_WR = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,239 :: 		TFT_WR = 0;
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,240 :: 		TFT_WR = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,242 :: 		TFT_WR = 0;
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,243 :: 		TFT_WR = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,244 :: 		TFT_WR = 0;
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,245 :: 		TFT_WR = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,236 :: 		for(y=0;y<x;y++) {
	INFSNZ      LCD_clear_y_L0+0, 1 
	INCF        LCD_clear_y_L0+1, 1 
;tft_2_4_lib.c,246 :: 		}
	GOTO        L_LCD_clear6
L_LCD_clear7:
;tft_2_4_lib.c,247 :: 		}
L_end_LCD_clear:
	RETURN      0
; end of _LCD_clear

_Display_integer:

;tft_2_4_lib.c,251 :: 		void Display_integer(int n) {
;tft_2_4_lib.c,255 :: 		IntToStr(n, txt);
	MOVF        FARG_Display_integer_n+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        FARG_Display_integer_n+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       Display_integer_txt_L0+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(Display_integer_txt_L0+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;tft_2_4_lib.c,256 :: 		for(i=0; i<6; i++) {
	CLRF        Display_integer_i_L0+0 
L_Display_integer9:
	MOVLW       6
	SUBWF       Display_integer_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_integer10
;tft_2_4_lib.c,257 :: 		Display_char(txt[i]);
	MOVLW       Display_integer_txt_L0+0
	MOVWF       FSR0 
	MOVLW       hi_addr(Display_integer_txt_L0+0)
	MOVWF       FSR0H 
	MOVF        Display_integer_i_L0+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Display_char_znak+0 
	CALL        _Display_char+0, 0
;tft_2_4_lib.c,256 :: 		for(i=0; i<6; i++) {
	INCF        Display_integer_i_L0+0, 1 
;tft_2_4_lib.c,258 :: 		}
	GOTO        L_Display_integer9
L_Display_integer10:
;tft_2_4_lib.c,259 :: 		}
L_end_Display_integer:
	RETURN      0
; end of _Display_integer

_Display_string:

;tft_2_4_lib.c,263 :: 		void Display_string(char *str) {
;tft_2_4_lib.c,264 :: 		char i = 0;
	CLRF        Display_string_i_L0+0 
;tft_2_4_lib.c,266 :: 		while (str[i] != '\0') {
L_Display_string12:
	MOVF        Display_string_i_L0+0, 0 
	ADDWF       FARG_Display_string_str+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_Display_string_str+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_string13
;tft_2_4_lib.c,267 :: 		Display_char(str[i]);
	MOVF        Display_string_i_L0+0, 0 
	ADDWF       FARG_Display_string_str+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_Display_string_str+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Display_char_znak+0 
	CALL        _Display_char+0, 0
;tft_2_4_lib.c,268 :: 		i++;
	INCF        Display_string_i_L0+0, 1 
;tft_2_4_lib.c,269 :: 		}
	GOTO        L_Display_string12
L_Display_string13:
;tft_2_4_lib.c,270 :: 		}
L_end_Display_string:
	RETURN      0
; end of _Display_string

_Display_char:

;tft_2_4_lib.c,375 :: 		void Display_char(char znak) {
;tft_2_4_lib.c,378 :: 		char size = F_SIZE;       // 3
	MOVF        _F_SIZE+0, 0 
	MOVWF       Display_char_size_L0+0 
;tft_2_4_lib.c,379 :: 		int color = F_COLOR;
	MOVF        _F_COLOR+0, 0 
	MOVWF       Display_char_color_L0+0 
	MOVF        _F_COLOR+1, 0 
	MOVWF       Display_char_color_L0+1 
;tft_2_4_lib.c,380 :: 		int bcolor = B_COLOR;
	MOVF        _B_COLOR+0, 0 
	MOVWF       Display_char_bcolor_L0+0 
	MOVF        _B_COLOR+1, 0 
	MOVWF       Display_char_bcolor_L0+1 
;tft_2_4_lib.c,388 :: 		if( (P_COL + (size*6)) > 319) {
	MOVLW       6
	MULWF       _F_SIZE+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        PRODH+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       _P_COL+0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	ADDWFC      _P_COL+1, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	SUBLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_char147
	MOVF        R2, 0 
	SUBLW       63
L__Display_char147:
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_char14
;tft_2_4_lib.c,389 :: 		P_COL = 0;
	CLRF        _P_COL+0 
	CLRF        _P_COL+1 
;tft_2_4_lib.c,390 :: 		P_ROW += size*(8+1);
	MOVF        Display_char_size_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       9
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	ADDWF       _P_ROW+0, 1 
	MOVF        R1, 0 
	ADDWFC      _P_ROW+1, 1 
;tft_2_4_lib.c,391 :: 		}
L_Display_char14:
;tft_2_4_lib.c,392 :: 		TFT_set_display_window(P_COL, P_ROW, (P_COL+(size*6)), ((P_ROW+size*8)-1)); // (x1, y1, x2, y2)
	MOVF        _P_COL+0, 0 
	MOVWF       FARG_TFT_set_display_window_x1+0 
	MOVF        _P_COL+1, 0 
	MOVWF       FARG_TFT_set_display_window_x1+1 
	MOVF        _P_ROW+0, 0 
	MOVWF       FARG_TFT_set_display_window_y1+0 
	MOVF        _P_ROW+1, 0 
	MOVWF       FARG_TFT_set_display_window_y1+1 
	MOVLW       6
	MULWF       Display_char_size_L0+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        PRODH+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       _P_COL+0, 0 
	MOVWF       FARG_TFT_set_display_window_x2+0 
	MOVF        R1, 0 
	ADDWFC      _P_COL+1, 0 
	MOVWF       FARG_TFT_set_display_window_x2+1 
	MOVLW       3
	MOVWF       R2 
	MOVF        Display_char_size_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
L__Display_char148:
	BZ          L__Display_char149
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Display_char148
L__Display_char149:
	MOVF        R0, 0 
	ADDWF       _P_ROW+0, 0 
	MOVWF       FARG_TFT_set_display_window_y2+0 
	MOVF        R1, 0 
	ADDWFC      _P_ROW+1, 0 
	MOVWF       FARG_TFT_set_display_window_y2+1 
	MOVLW       1
	SUBWF       FARG_TFT_set_display_window_y2+0, 1 
	MOVLW       0
	SUBWFB      FARG_TFT_set_display_window_y2+1, 1 
	CALL        _TFT_set_display_window+0, 0
;tft_2_4_lib.c,394 :: 		bchigh = bcolor >> 8;
	MOVF        Display_char_bcolor_L0+1, 0 
	MOVWF       R0 
	MOVLW       0
	BTFSC       Display_char_bcolor_L0+1, 7 
	MOVLW       255
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       Display_char_bchigh_L0+0 
;tft_2_4_lib.c,395 :: 		bclow = bcolor;
	MOVF        Display_char_bcolor_L0+0, 0 
	MOVWF       Display_char_bclow_L0+0 
;tft_2_4_lib.c,396 :: 		fchigh = color >> 8;
	MOVF        Display_char_color_L0+1, 0 
	MOVWF       R0 
	MOVLW       0
	BTFSC       Display_char_color_L0+1, 7 
	MOVLW       255
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       Display_char_fchigh_L0+0 
;tft_2_4_lib.c,397 :: 		fclow = color;
	MOVF        Display_char_color_L0+0, 0 
	MOVWF       Display_char_fclow_L0+0 
;tft_2_4_lib.c,399 :: 		for (index = 0; index <5; index++) {    // index = da 0 a 4
	CLRF        Display_char_index_L0+0 
L_Display_char15:
	MOVLW       5
	SUBWF       Display_char_index_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_char16
;tft_2_4_lib.c,400 :: 		buf = ((znak - 0x20)*5)+(index);
	MOVLW       32
	SUBWF       FARG_Display_char_znak+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       5
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        Display_char_index_L0+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
;tft_2_4_lib.c,401 :: 		col = ASCII[buf];
	MOVLW       _ASCII+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_ASCII+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_ASCII+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, Display_char_col_L0+0
;tft_2_4_lib.c,403 :: 		for ( i=0; i<size; i++){                // size = 3
	CLRF        Display_char_i_L0+0 
L_Display_char18:
	MOVF        Display_char_size_L0+0, 0 
	SUBWF       Display_char_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_char19
;tft_2_4_lib.c,404 :: 		mask = 0B00000001;
	MOVLW       1
	MOVWF       Display_char_mask_L0+0 
;tft_2_4_lib.c,405 :: 		for (nbit = 0; nbit < 8; nbit++) {     // nbit = 8
	CLRF        Display_char_nbit_L0+0 
L_Display_char21:
	MOVLW       8
	SUBWF       Display_char_nbit_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_char22
;tft_2_4_lib.c,406 :: 		if (col & mask) {                    // col.bit = 1
	MOVF        Display_char_mask_L0+0, 0 
	ANDWF       Display_char_col_L0+0, 0 
	MOVWF       R0 
	BTFSC       STATUS+0, 2 
	GOTO        L_Display_char24
;tft_2_4_lib.c,407 :: 		for (j=0; j<size; j++){
	CLRF        Display_char_j_L0+0 
L_Display_char25:
	MOVF        Display_char_size_L0+0, 0 
	SUBWF       Display_char_j_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_char26
;tft_2_4_lib.c,408 :: 		LCD_data_write(fchigh);          // Colore carattere
	MOVF        Display_char_fchigh_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,409 :: 		LCD_data_write(fclow);
	MOVF        Display_char_fclow_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,407 :: 		for (j=0; j<size; j++){
	INCF        Display_char_j_L0+0, 1 
;tft_2_4_lib.c,410 :: 		}
	GOTO        L_Display_char25
L_Display_char26:
;tft_2_4_lib.c,411 :: 		}
	GOTO        L_Display_char28
L_Display_char24:
;tft_2_4_lib.c,413 :: 		for (j=0; j<size; j++){
	CLRF        Display_char_j_L0+0 
L_Display_char29:
	MOVF        Display_char_size_L0+0, 0 
	SUBWF       Display_char_j_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_char30
;tft_2_4_lib.c,414 :: 		LCD_data_write(bchigh);         // colore back
	MOVF        Display_char_bchigh_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,415 :: 		LCD_data_write(bclow);
	MOVF        Display_char_bclow_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,413 :: 		for (j=0; j<size; j++){
	INCF        Display_char_j_L0+0, 1 
;tft_2_4_lib.c,416 :: 		}
	GOTO        L_Display_char29
L_Display_char30:
;tft_2_4_lib.c,417 :: 		}
L_Display_char28:
;tft_2_4_lib.c,418 :: 		mask = mask<<1;
	RLCF        Display_char_mask_L0+0, 1 
	BCF         Display_char_mask_L0+0, 0 
;tft_2_4_lib.c,405 :: 		for (nbit = 0; nbit < 8; nbit++) {     // nbit = 8
	INCF        Display_char_nbit_L0+0, 1 
;tft_2_4_lib.c,419 :: 		} // for nbit
	GOTO        L_Display_char21
L_Display_char22:
;tft_2_4_lib.c,403 :: 		for ( i=0; i<size; i++){                // size = 3
	INCF        Display_char_i_L0+0, 1 
;tft_2_4_lib.c,420 :: 		} // for size
	GOTO        L_Display_char18
L_Display_char19:
;tft_2_4_lib.c,399 :: 		for (index = 0; index <5; index++) {    // index = da 0 a 4
	INCF        Display_char_index_L0+0, 1 
;tft_2_4_lib.c,421 :: 		} //for index
	GOTO        L_Display_char15
L_Display_char16:
;tft_2_4_lib.c,423 :: 		P_COL += size*6;
	MOVLW       6
	MULWF       Display_char_size_L0+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        PRODH+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       _P_COL+0, 1 
	MOVF        R1, 0 
	ADDWFC      _P_COL+1, 1 
;tft_2_4_lib.c,424 :: 		}
L_end_Display_char:
	RETURN      0
; end of _Display_char

_Display_clear_char:

;tft_2_4_lib.c,428 :: 		void Display_clear_char(char n) {
;tft_2_4_lib.c,430 :: 		char size = F_SIZE;
	MOVF        _F_SIZE+0, 0 
	MOVWF       Display_clear_char_size_L0+0 
;tft_2_4_lib.c,431 :: 		int bcolor = B_COLOR;
	MOVF        _B_COLOR+0, 0 
	MOVWF       Display_clear_char_bcolor_L0+0 
	MOVF        _B_COLOR+1, 0 
	MOVWF       Display_clear_char_bcolor_L0+1 
;tft_2_4_lib.c,436 :: 		TFT_set_display_window(P_COL, P_ROW, (P_COL+(size*6*n)), ((P_ROW+size*8)-1)); // (x1, y1, x2, y2)
	MOVF        _P_COL+0, 0 
	MOVWF       FARG_TFT_set_display_window_x1+0 
	MOVF        _P_COL+1, 0 
	MOVWF       FARG_TFT_set_display_window_x1+1 
	MOVF        _P_ROW+0, 0 
	MOVWF       FARG_TFT_set_display_window_y1+0 
	MOVF        _P_ROW+1, 0 
	MOVWF       FARG_TFT_set_display_window_y1+1 
	MOVLW       6
	MULWF       _F_SIZE+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        PRODH+0, 0 
	MOVWF       R1 
	MOVF        FARG_Display_clear_char_n+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	ADDWF       _P_COL+0, 0 
	MOVWF       FARG_TFT_set_display_window_x2+0 
	MOVF        R1, 0 
	ADDWFC      _P_COL+1, 0 
	MOVWF       FARG_TFT_set_display_window_x2+1 
	MOVLW       3
	MOVWF       R2 
	MOVF        _F_SIZE+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
L__Display_clear_char151:
	BZ          L__Display_clear_char152
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Display_clear_char151
L__Display_clear_char152:
	MOVF        R0, 0 
	ADDWF       _P_ROW+0, 0 
	MOVWF       FARG_TFT_set_display_window_y2+0 
	MOVF        R1, 0 
	ADDWFC      _P_ROW+1, 0 
	MOVWF       FARG_TFT_set_display_window_y2+1 
	MOVLW       1
	SUBWF       FARG_TFT_set_display_window_y2+0, 1 
	MOVLW       0
	SUBWFB      FARG_TFT_set_display_window_y2+1, 1 
	CALL        _TFT_set_display_window+0, 0
;tft_2_4_lib.c,438 :: 		bchigh = bcolor >> 8;
	MOVF        Display_clear_char_bcolor_L0+1, 0 
	MOVWF       R0 
	MOVLW       0
	BTFSC       Display_clear_char_bcolor_L0+1, 7 
	MOVLW       255
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       Display_clear_char_bchigh_L0+0 
;tft_2_4_lib.c,439 :: 		bclow = bcolor;
	MOVF        Display_clear_char_bcolor_L0+0, 0 
	MOVWF       Display_clear_char_bclow_L0+0 
;tft_2_4_lib.c,440 :: 		cyc = size*8 * size*6*n;
	MOVLW       3
	MOVWF       R2 
	MOVF        Display_clear_char_size_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
L__Display_clear_char153:
	BZ          L__Display_clear_char154
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Display_clear_char153
L__Display_clear_char154:
	MOVF        Display_clear_char_size_L0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        FARG_Display_clear_char_n+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       Display_clear_char_cyc_L0+0 
	MOVF        R1, 0 
	MOVWF       Display_clear_char_cyc_L0+1 
;tft_2_4_lib.c,441 :: 		for (i=0; i<cyc; i++) {
	CLRF        Display_clear_char_i_L0+0 
	CLRF        Display_clear_char_i_L0+1 
L_Display_clear_char32:
	MOVLW       128
	XORWF       Display_clear_char_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       Display_clear_char_cyc_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Display_clear_char155
	MOVF        Display_clear_char_cyc_L0+0, 0 
	SUBWF       Display_clear_char_i_L0+0, 0 
L__Display_clear_char155:
	BTFSC       STATUS+0, 0 
	GOTO        L_Display_clear_char33
;tft_2_4_lib.c,442 :: 		LCD_data_write(bchigh);
	MOVF        Display_clear_char_bchigh_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,443 :: 		LCD_data_write(bclow);
	MOVF        Display_clear_char_bclow_L0+0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,441 :: 		for (i=0; i<cyc; i++) {
	INFSNZ      Display_clear_char_i_L0+0, 1 
	INCF        Display_clear_char_i_L0+1, 1 
;tft_2_4_lib.c,444 :: 		}
	GOTO        L_Display_clear_char32
L_Display_clear_char33:
;tft_2_4_lib.c,445 :: 		}
L_end_Display_clear_char:
	RETURN      0
; end of _Display_clear_char

_Draw_BMP:

;tft_2_4_lib.c,450 :: 		unsigned int y_pos2, const unsigned int *bitmap) {
;tft_2_4_lib.c,452 :: 		unsigned long size = 0x00000000;
	CLRF        Draw_BMP_size_L0+0 
	CLRF        Draw_BMP_size_L0+1 
	CLRF        Draw_BMP_size_L0+2 
	CLRF        Draw_BMP_size_L0+3 
	CLRF        Draw_BMP_index_L0+0 
	CLRF        Draw_BMP_index_L0+1 
	CLRF        Draw_BMP_index_L0+2 
	CLRF        Draw_BMP_index_L0+3 
;tft_2_4_lib.c,456 :: 		if(x_pos1 > x_pos2) {
	MOVF        FARG_Draw_BMP_x_pos1+1, 0 
	SUBWF       FARG_Draw_BMP_x_pos2+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Draw_BMP157
	MOVF        FARG_Draw_BMP_x_pos1+0, 0 
	SUBWF       FARG_Draw_BMP_x_pos2+0, 0 
L__Draw_BMP157:
	BTFSC       STATUS+0, 0 
	GOTO        L_Draw_BMP35
;tft_2_4_lib.c,457 :: 		buf1 = x_pos1;
	MOVF        FARG_Draw_BMP_x_pos1+0, 0 
	MOVWF       Draw_BMP_buf1_L0+0 
	MOVF        FARG_Draw_BMP_x_pos1+1, 0 
	MOVWF       Draw_BMP_buf1_L0+1 
;tft_2_4_lib.c,458 :: 		x_pos1 = x_pos2;
	MOVF        FARG_Draw_BMP_x_pos2+0, 0 
	MOVWF       FARG_Draw_BMP_x_pos1+0 
	MOVF        FARG_Draw_BMP_x_pos2+1, 0 
	MOVWF       FARG_Draw_BMP_x_pos1+1 
;tft_2_4_lib.c,459 :: 		x_pos2 = buf1;
	MOVF        Draw_BMP_buf1_L0+0, 0 
	MOVWF       FARG_Draw_BMP_x_pos2+0 
	MOVF        Draw_BMP_buf1_L0+1, 0 
	MOVWF       FARG_Draw_BMP_x_pos2+1 
;tft_2_4_lib.c,460 :: 		}
L_Draw_BMP35:
;tft_2_4_lib.c,462 :: 		if(y_pos1 > y_pos2) {
	MOVF        FARG_Draw_BMP_y_pos1+1, 0 
	SUBWF       FARG_Draw_BMP_y_pos2+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Draw_BMP158
	MOVF        FARG_Draw_BMP_y_pos1+0, 0 
	SUBWF       FARG_Draw_BMP_y_pos2+0, 0 
L__Draw_BMP158:
	BTFSC       STATUS+0, 0 
	GOTO        L_Draw_BMP36
;tft_2_4_lib.c,463 :: 		buf1 = y_pos1;
	MOVF        FARG_Draw_BMP_y_pos1+0, 0 
	MOVWF       Draw_BMP_buf1_L0+0 
	MOVF        FARG_Draw_BMP_y_pos1+1, 0 
	MOVWF       Draw_BMP_buf1_L0+1 
;tft_2_4_lib.c,464 :: 		y_pos1 = y_pos2;
	MOVF        FARG_Draw_BMP_y_pos2+0, 0 
	MOVWF       FARG_Draw_BMP_y_pos1+0 
	MOVF        FARG_Draw_BMP_y_pos2+1, 0 
	MOVWF       FARG_Draw_BMP_y_pos1+1 
;tft_2_4_lib.c,465 :: 		y_pos2 = buf1;
	MOVF        Draw_BMP_buf1_L0+0, 0 
	MOVWF       FARG_Draw_BMP_y_pos2+0 
	MOVF        Draw_BMP_buf1_L0+1, 0 
	MOVWF       FARG_Draw_BMP_y_pos2+1 
;tft_2_4_lib.c,466 :: 		}
L_Draw_BMP36:
;tft_2_4_lib.c,468 :: 		size = (y_pos2 - y_pos1);           // Calcola il numero di pixel necessari
	MOVF        FARG_Draw_BMP_y_pos1+0, 0 
	SUBWF       FARG_Draw_BMP_y_pos2+0, 0 
	MOVWF       Draw_BMP_size_L0+0 
	MOVF        FARG_Draw_BMP_y_pos1+1, 0 
	SUBWFB      FARG_Draw_BMP_y_pos2+1, 0 
	MOVWF       Draw_BMP_size_L0+1 
	MOVLW       0
	MOVWF       Draw_BMP_size_L0+2 
	MOVWF       Draw_BMP_size_L0+3 
;tft_2_4_lib.c,469 :: 		size *= (x_pos2 - x_pos1);
	MOVF        FARG_Draw_BMP_x_pos1+0, 0 
	SUBWF       FARG_Draw_BMP_x_pos2+0, 0 
	MOVWF       R0 
	MOVF        FARG_Draw_BMP_x_pos1+1, 0 
	SUBWFB      FARG_Draw_BMP_x_pos2+1, 0 
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVF        Draw_BMP_size_L0+0, 0 
	MOVWF       R4 
	MOVF        Draw_BMP_size_L0+1, 0 
	MOVWF       R5 
	MOVF        Draw_BMP_size_L0+2, 0 
	MOVWF       R6 
	MOVF        Draw_BMP_size_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       Draw_BMP_size_L0+0 
	MOVF        R1, 0 
	MOVWF       Draw_BMP_size_L0+1 
	MOVF        R2, 0 
	MOVWF       Draw_BMP_size_L0+2 
	MOVF        R3, 0 
	MOVWF       Draw_BMP_size_L0+3 
;tft_2_4_lib.c,471 :: 		TFT_set_display_window(x_pos1, y_pos1, (x_pos2 - 1), (y_pos2 - 1));
	MOVF        FARG_Draw_BMP_x_pos1+0, 0 
	MOVWF       FARG_TFT_set_display_window_x1+0 
	MOVF        FARG_Draw_BMP_x_pos1+1, 0 
	MOVWF       FARG_TFT_set_display_window_x1+1 
	MOVF        FARG_Draw_BMP_y_pos1+0, 0 
	MOVWF       FARG_TFT_set_display_window_y1+0 
	MOVF        FARG_Draw_BMP_y_pos1+1, 0 
	MOVWF       FARG_TFT_set_display_window_y1+1 
	MOVLW       1
	SUBWF       FARG_Draw_BMP_x_pos2+0, 0 
	MOVWF       FARG_TFT_set_display_window_x2+0 
	MOVLW       0
	SUBWFB      FARG_Draw_BMP_x_pos2+1, 0 
	MOVWF       FARG_TFT_set_display_window_x2+1 
	MOVLW       1
	SUBWF       FARG_Draw_BMP_y_pos2+0, 0 
	MOVWF       FARG_TFT_set_display_window_y2+0 
	MOVLW       0
	SUBWFB      FARG_Draw_BMP_y_pos2+1, 0 
	MOVWF       FARG_TFT_set_display_window_y2+1 
	CALL        _TFT_set_display_window+0, 0
;tft_2_4_lib.c,473 :: 		for(index = 0; index < size; index++) {
	CLRF        Draw_BMP_index_L0+0 
	CLRF        Draw_BMP_index_L0+1 
	CLRF        Draw_BMP_index_L0+2 
	CLRF        Draw_BMP_index_L0+3 
L_Draw_BMP37:
	MOVF        Draw_BMP_size_L0+3, 0 
	SUBWF       Draw_BMP_index_L0+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Draw_BMP159
	MOVF        Draw_BMP_size_L0+2, 0 
	SUBWF       Draw_BMP_index_L0+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Draw_BMP159
	MOVF        Draw_BMP_size_L0+1, 0 
	SUBWF       Draw_BMP_index_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Draw_BMP159
	MOVF        Draw_BMP_size_L0+0, 0 
	SUBWF       Draw_BMP_index_L0+0, 0 
L__Draw_BMP159:
	BTFSC       STATUS+0, 0 
	GOTO        L_Draw_BMP38
;tft_2_4_lib.c,474 :: 		LCD_data_write(bitmap[index]>>8);
	MOVF        Draw_BMP_index_L0+0, 0 
	MOVWF       R0 
	MOVF        Draw_BMP_index_L0+1, 0 
	MOVWF       R1 
	MOVF        Draw_BMP_index_L0+2, 0 
	MOVWF       R2 
	MOVF        Draw_BMP_index_L0+3, 0 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVF        FARG_Draw_BMP_bitmap+0, 0 
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_Draw_BMP_bitmap+1, 0 
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_Draw_BMP_bitmap+2, 0 
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	TBLRD*+
	MOVFF       TABLAT+0, R4
	MOVF        R4, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_data_write_d+0 
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,475 :: 		LCD_data_write(bitmap[index]);
	MOVF        Draw_BMP_index_L0+0, 0 
	MOVWF       R0 
	MOVF        Draw_BMP_index_L0+1, 0 
	MOVWF       R1 
	MOVF        Draw_BMP_index_L0+2, 0 
	MOVWF       R2 
	MOVF        Draw_BMP_index_L0+3, 0 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVF        FARG_Draw_BMP_bitmap+0, 0 
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVF        FARG_Draw_BMP_bitmap+1, 0 
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVF        FARG_Draw_BMP_bitmap+2, 0 
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_LCD_data_write_d+0
	CALL        _LCD_data_write+0, 0
;tft_2_4_lib.c,473 :: 		for(index = 0; index < size; index++) {
	MOVLW       1
	ADDWF       Draw_BMP_index_L0+0, 1 
	MOVLW       0
	ADDWFC      Draw_BMP_index_L0+1, 1 
	ADDWFC      Draw_BMP_index_L0+2, 1 
	ADDWFC      Draw_BMP_index_L0+3, 1 
;tft_2_4_lib.c,476 :: 		}
	GOTO        L_Draw_BMP37
L_Draw_BMP38:
;tft_2_4_lib.c,477 :: 		}
L_end_Draw_BMP:
	RETURN      0
; end of _Draw_BMP

_Calibration_touch:

;tft_2_4_lib.c,481 :: 		void Calibration_touch(void) {
;tft_2_4_lib.c,482 :: 		char buf = 1;
;tft_2_4_lib.c,484 :: 		if (cnt_16 <= time_1) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _cnt_16+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch161
	MOVF        _cnt_16+0, 0 
	SUBLW       40
L__Calibration_touch161:
	BTFSS       STATUS+0, 0 
	GOTO        L_Calibration_touch40
;tft_2_4_lib.c,485 :: 		if (col > 80 && row > 80) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _col+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch162
	MOVF        _col+0, 0 
	SUBLW       80
L__Calibration_touch162:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch43
	MOVLW       0
	MOVWF       R0 
	MOVF        _row+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch163
	MOVF        _row+0, 0 
	SUBLW       80
L__Calibration_touch163:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch43
L__Calibration_touch124:
;tft_2_4_lib.c,486 :: 		cnt_16 ++;
	INFSNZ      _cnt_16+0, 1 
	INCF        _cnt_16+1, 1 
;tft_2_4_lib.c,487 :: 		Delay_msec(5);
	MOVLW       5
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,488 :: 		sw_value = 10;
	MOVLW       10
	MOVWF       _sw_value+0 
;tft_2_4_lib.c,489 :: 		}
	GOTO        L_Calibration_touch44
L_Calibration_touch43:
;tft_2_4_lib.c,491 :: 		cnt_16 = 0;
	CLRF        _cnt_16+0 
	CLRF        _cnt_16+1 
;tft_2_4_lib.c,492 :: 		sw_value = 10;
	MOVLW       10
	MOVWF       _sw_value+0 
;tft_2_4_lib.c,493 :: 		return;
	GOTO        L_end_Calibration_touch
;tft_2_4_lib.c,494 :: 		}
L_Calibration_touch44:
;tft_2_4_lib.c,496 :: 		if (cnt_16 <= time_1) {     // 1000 = 5 sec.
	MOVLW       0
	MOVWF       R0 
	MOVF        _cnt_16+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch164
	MOVF        _cnt_16+0, 0 
	SUBLW       40
L__Calibration_touch164:
	BTFSS       STATUS+0, 0 
	GOTO        L_Calibration_touch45
;tft_2_4_lib.c,497 :: 		return;
	GOTO        L_end_Calibration_touch
;tft_2_4_lib.c,498 :: 		}
L_Calibration_touch45:
;tft_2_4_lib.c,499 :: 		if (cnt_16 > time_1) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _cnt_16+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch165
	MOVF        _cnt_16+0, 0 
	SUBLW       40
L__Calibration_touch165:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch46
;tft_2_4_lib.c,500 :: 		sw_value = 1;
	MOVLW       1
	MOVWF       _sw_value+0 
;tft_2_4_lib.c,501 :: 		}
L_Calibration_touch46:
;tft_2_4_lib.c,502 :: 		}    //   LED ^= 1;
L_Calibration_touch40:
;tft_2_4_lib.c,503 :: 		B_COLOR = 0x0C0C;     // Azzurro
	MOVLW       12
	MOVWF       _B_COLOR+0 
	MOVLW       12
	MOVWF       _B_COLOR+1 
;tft_2_4_lib.c,505 :: 		switch (sw_value) {
	GOTO        L_Calibration_touch47
;tft_2_4_lib.c,506 :: 		case 1: LCD_clear(0x0C);
L_Calibration_touch49:
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;tft_2_4_lib.c,507 :: 		if (col < 20 && row < 20) {
	MOVLW       0
	SUBWF       _col+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch166
	MOVLW       20
	SUBWF       _col+0, 0 
L__Calibration_touch166:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch52
	MOVLW       0
	SUBWF       _row+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch167
	MOVLW       20
	SUBWF       _row+0, 0 
L__Calibration_touch167:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch52
L__Calibration_touch123:
;tft_2_4_lib.c,508 :: 		sw_value = 2; break;
	MOVLW       2
	MOVWF       _sw_value+0 
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,509 :: 		}
L_Calibration_touch52:
;tft_2_4_lib.c,510 :: 		else break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,512 :: 		case 2: LCD_clear(0x0C);
L_Calibration_touch54:
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;tft_2_4_lib.c,513 :: 		F_COLOR = BLUE;      // Blue!
	MOVLW       31
	MOVWF       _F_COLOR+0 
	MOVLW       0
	MOVWF       _F_COLOR+1 
;tft_2_4_lib.c,514 :: 		P_COL=10; P_ROW=110;
	MOVLW       10
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
	MOVLW       110
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;tft_2_4_lib.c,515 :: 		Display_string("Premi alto a Sx");
	MOVLW       ?lstr4_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr4_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;tft_2_4_lib.c,516 :: 		if (col > 80 && row > 80) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _col+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch168
	MOVF        _col+0, 0 
	SUBLW       80
L__Calibration_touch168:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch57
	MOVLW       0
	MOVWF       R0 
	MOVF        _row+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch169
	MOVF        _row+0, 0 
	SUBLW       80
L__Calibration_touch169:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch57
L__Calibration_touch122:
;tft_2_4_lib.c,517 :: 		row_0 = row;
	MOVF        _row+0, 0 
	MOVWF       _row_0+0 
	MOVF        _row+1, 0 
	MOVWF       _row_0+1 
;tft_2_4_lib.c,518 :: 		col_0 = col;
	MOVF        _col+0, 0 
	MOVWF       _col_0+0 
	MOVF        _col+1, 0 
	MOVWF       _col_0+1 
;tft_2_4_lib.c,519 :: 		sw_value = 3;
	MOVLW       3
	MOVWF       _sw_value+0 
;tft_2_4_lib.c,520 :: 		break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,521 :: 		}
L_Calibration_touch57:
;tft_2_4_lib.c,522 :: 		else break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,524 :: 		case 3: if (col < 20 && row < 20) {
L_Calibration_touch59:
	MOVLW       0
	SUBWF       _col+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch170
	MOVLW       20
	SUBWF       _col+0, 0 
L__Calibration_touch170:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch62
	MOVLW       0
	SUBWF       _row+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch171
	MOVLW       20
	SUBWF       _row+0, 0 
L__Calibration_touch171:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch62
L__Calibration_touch121:
;tft_2_4_lib.c,525 :: 		sw_value = 4; break;
	MOVLW       4
	MOVWF       _sw_value+0 
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,526 :: 		}
L_Calibration_touch62:
;tft_2_4_lib.c,527 :: 		else break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,529 :: 		case 4: LCD_clear(0x0C);
L_Calibration_touch64:
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;tft_2_4_lib.c,530 :: 		F_COLOR = RED;      // Rosso!
	MOVLW       0
	MOVWF       _F_COLOR+0 
	MOVLW       248
	MOVWF       _F_COLOR+1 
;tft_2_4_lib.c,531 :: 		P_COL=10; P_ROW=110;
	MOVLW       10
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
	MOVLW       110
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;tft_2_4_lib.c,532 :: 		Display_string("Premi alto a Dx");
	MOVLW       ?lstr5_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr5_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;tft_2_4_lib.c,533 :: 		if (col > 80 && row > 80) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _col+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch172
	MOVF        _col+0, 0 
	SUBLW       80
L__Calibration_touch172:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch67
	MOVLW       0
	MOVWF       R0 
	MOVF        _row+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch173
	MOVF        _row+0, 0 
	SUBLW       80
L__Calibration_touch173:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch67
L__Calibration_touch120:
;tft_2_4_lib.c,535 :: 		col_320 = col;
	MOVF        _col+0, 0 
	MOVWF       _col_320+0 
	MOVF        _col+1, 0 
	MOVWF       _col_320+1 
;tft_2_4_lib.c,536 :: 		sw_value = 5;
	MOVLW       5
	MOVWF       _sw_value+0 
;tft_2_4_lib.c,537 :: 		break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,538 :: 		}
L_Calibration_touch67:
;tft_2_4_lib.c,539 :: 		else break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,541 :: 		case 5: if (col < 20 && row < 20) {
L_Calibration_touch69:
	MOVLW       0
	SUBWF       _col+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch174
	MOVLW       20
	SUBWF       _col+0, 0 
L__Calibration_touch174:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch72
	MOVLW       0
	SUBWF       _row+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch175
	MOVLW       20
	SUBWF       _row+0, 0 
L__Calibration_touch175:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch72
L__Calibration_touch119:
;tft_2_4_lib.c,542 :: 		sw_value = 6; break;
	MOVLW       6
	MOVWF       _sw_value+0 
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,543 :: 		}
L_Calibration_touch72:
;tft_2_4_lib.c,544 :: 		else break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,546 :: 		case 6: LCD_clear(0x0C);
L_Calibration_touch74:
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;tft_2_4_lib.c,547 :: 		F_COLOR = YELLOW;      // Giallo!
	MOVLW       224
	MOVWF       _F_COLOR+0 
	MOVLW       255
	MOVWF       _F_COLOR+1 
;tft_2_4_lib.c,548 :: 		P_COL=10; P_ROW=110;
	MOVLW       10
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
	MOVLW       110
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;tft_2_4_lib.c,549 :: 		Display_string("Premi basso a Sx");
	MOVLW       ?lstr6_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr6_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;tft_2_4_lib.c,550 :: 		if (col > 80 && row > 80) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _col+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch176
	MOVF        _col+0, 0 
	SUBLW       80
L__Calibration_touch176:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch77
	MOVLW       0
	MOVWF       R0 
	MOVF        _row+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Calibration_touch177
	MOVF        _row+0, 0 
	SUBLW       80
L__Calibration_touch177:
	BTFSC       STATUS+0, 0 
	GOTO        L_Calibration_touch77
L__Calibration_touch118:
;tft_2_4_lib.c,551 :: 		row_240 = row;
	MOVF        _row+0, 0 
	MOVWF       _row_240+0 
	MOVF        _row+1, 0 
	MOVWF       _row_240+1 
;tft_2_4_lib.c,553 :: 		sw_value = 7;
	MOVLW       7
	MOVWF       _sw_value+0 
;tft_2_4_lib.c,554 :: 		break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,555 :: 		}
L_Calibration_touch77:
;tft_2_4_lib.c,556 :: 		else break;
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,558 :: 		default: break;
L_Calibration_touch79:
	GOTO        L_Calibration_touch48
;tft_2_4_lib.c,559 :: 		}
L_Calibration_touch47:
	MOVF        _sw_value+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Calibration_touch49
	MOVF        _sw_value+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_Calibration_touch54
	MOVF        _sw_value+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_Calibration_touch59
	MOVF        _sw_value+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_Calibration_touch64
	MOVF        _sw_value+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_Calibration_touch69
	MOVF        _sw_value+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_Calibration_touch74
	GOTO        L_Calibration_touch79
L_Calibration_touch48:
;tft_2_4_lib.c,562 :: 		}
L_end_Calibration_touch:
	RETURN      0
; end of _Calibration_touch

_ReadTouch:

;tft_2_4_lib.c,566 :: 		char ReadTouch(void) {
;tft_2_4_lib.c,571 :: 		wait_touch=1;
	MOVLW       1
	MOVWF       ReadTouch_wait_touch_L0+0 
;tft_2_4_lib.c,572 :: 		valid=0;
	CLRF        ReadTouch_valid_L0+0 
;tft_2_4_lib.c,574 :: 		while (wait_touch) {
L_ReadTouch80:
	MOVF        ReadTouch_wait_touch_L0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_ReadTouch81
;tft_2_4_lib.c,576 :: 		TFT_WR_Direction = 1;                  //  Y1, INPUT
	BSF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;tft_2_4_lib.c,577 :: 		TFT_DataPort_Direction.B7 = 1;  //b1       Y2, INPUT_PULLUP
	BSF         TRISC+0, 7 
;tft_2_4_lib.c,578 :: 		TFT_RS_Direction = 0;             // X1   OUTPUT
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;tft_2_4_lib.c,579 :: 		TFT_DataPort_Direction.B6 = 0;    //b0   X2   OUTPUT
	BCF         TRISC+0, 6 
;tft_2_4_lib.c,580 :: 		TFT_RS = 0;                       //  X1    LOW
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;tft_2_4_lib.c,581 :: 		LATC.B6 = 0;                      // X2     LOW
	BCF         LATC+0, 6 
;tft_2_4_lib.c,583 :: 		touch = !PORTA.B1;        //B1  (Y1)               //!digitalRead(Y1); // 0 - touched
	BTFSC       PORTA+0, 1 
	GOTO        L__ReadTouch179
	BSF         4056, 0 
	GOTO        L__ReadTouch180
L__ReadTouch179:
	BCF         4056, 0 
L__ReadTouch180:
	MOVLW       0
	BTFSC       4056, 0 
	MOVLW       1
	MOVWF       ReadTouch_touch_L0+0 
;tft_2_4_lib.c,584 :: 		if (touch) {
	MOVF        ReadTouch_touch_L0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_ReadTouch82
;tft_2_4_lib.c,585 :: 		TFT_RS = 1;                       //  X1    HIGH
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;tft_2_4_lib.c,586 :: 		LATC.B6 = 0;                       // X2    HIGH
	BCF         LATC+0, 6 
;tft_2_4_lib.c,587 :: 		Delay_msec(1);
	MOVLW       1
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,588 :: 		row = ADC_Read(1);     //    ADC A1 (TFT_WR) Y1
	MOVLW       1
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _row+0 
	MOVF        R1, 0 
	MOVWF       _row+1 
;tft_2_4_lib.c,589 :: 		Delay_msec(4);
	MOVLW       4
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,599 :: 		TFT_RS_Direction = 1;                // X1  INPUT
	BSF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;tft_2_4_lib.c,600 :: 		TFT_DataPort_Direction.B6 = 1;  //b0    X2  INPUT_PULLUP
	BSF         TRISC+0, 6 
;tft_2_4_lib.c,601 :: 		TFT_WR_Direction = 0;         // Y1       OUTPUT         ///////////////////////////////////
	BCF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;tft_2_4_lib.c,602 :: 		TFT_DataPort_Direction.B7 = 0;  //b1   Y2   OUTPUT
	BCF         TRISC+0, 7 
;tft_2_4_lib.c,603 :: 		TFT_WR = 1;     // Y1        LOW                  //////////////////////////////////////
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;tft_2_4_lib.c,604 :: 		LATC.B7 = 0;      // Y2    HIGH
	BCF         LATC+0, 7 
;tft_2_4_lib.c,605 :: 		Delay_msec(1);
	MOVLW       1
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,606 :: 		col = ADC_Read(0);     //    ADC A0 (TFT_RS) X1
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _col+0 
	MOVF        R1, 0 
	MOVWF       _col+1 
;tft_2_4_lib.c,607 :: 		Delay_msec(4);
	MOVLW       4
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;tft_2_4_lib.c,617 :: 		LATC.B7 =0;
	BCF         LATC+0, 7 
;tft_2_4_lib.c,619 :: 		touch = !PORTA.B0;    //b0                   //!digitalRead(X1); // 0 - dotyk
	BTFSC       PORTA+0, 0 
	GOTO        L__ReadTouch181
	BSF         4056, 0 
	GOTO        L__ReadTouch182
L__ReadTouch181:
	BCF         4056, 0 
L__ReadTouch182:
	MOVLW       0
	BTFSC       4056, 0 
	MOVLW       1
	MOVWF       ReadTouch_touch_L0+0 
;tft_2_4_lib.c,621 :: 		if (col > 100 && row > 100) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _col+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadTouch183
	MOVF        _col+0, 0 
	SUBLW       100
L__ReadTouch183:
	BTFSC       STATUS+0, 0 
	GOTO        L_ReadTouch85
	MOVLW       0
	MOVWF       R0 
	MOVF        _row+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__ReadTouch184
	MOVF        _row+0, 0 
	SUBLW       100
L__ReadTouch184:
	BTFSC       STATUS+0, 0 
	GOTO        L_ReadTouch85
L__ReadTouch125:
;tft_2_4_lib.c,622 :: 		rows = ROW_L - ROW_F;           // 515 (641 - 126)
	MOVF        _ROW_F+0, 0 
	SUBWF       _ROW_L+0, 0 
	MOVWF       R4 
	MOVF        _ROW_F+1, 0 
	SUBWFB      _ROW_L+1, 0 
	MOVWF       R5 
;tft_2_4_lib.c,623 :: 		cols = COL_L - COL_F;            // 571 (685 - 114)
	MOVF        _COL_F+0, 0 
	SUBWF       _COL_L+0, 0 
	MOVWF       FLOC__ReadTouch+0 
	MOVF        _COL_F+1, 0 
	SUBWFB      _COL_L+1, 0 
	MOVWF       FLOC__ReadTouch+1 
;tft_2_4_lib.c,626 :: 		row1 = (24000 / rows) * (row-ROW_F) / 100;
	MOVLW       192
	MOVWF       R0 
	MOVLW       93
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        _ROW_F+0, 0 
	SUBWF       _row+0, 0 
	MOVWF       R4 
	MOVF        _ROW_F+1, 0 
	SUBWFB      _row+1, 0 
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       ReadTouch_row1_L0+0 
	MOVF        R1, 0 
	MOVWF       ReadTouch_row1_L0+1 
	MOVLW       0
	MOVWF       ReadTouch_row1_L0+2 
	MOVWF       ReadTouch_row1_L0+3 
;tft_2_4_lib.c,627 :: 		col1 = (32000 / cols) * (col-COL_F) / 100;
	MOVF        FLOC__ReadTouch+0, 0 
	MOVWF       R4 
	MOVF        FLOC__ReadTouch+1, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R0 
	MOVLW       125
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        _COL_F+0, 0 
	SUBWF       _col+0, 0 
	MOVWF       R4 
	MOVF        _COL_F+1, 0 
	SUBWFB      _col+1, 0 
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16X16_U+0, 0
	MOVF        R0, 0 
	MOVWF       ReadTouch_col1_L0+0 
	MOVF        R1, 0 
	MOVWF       ReadTouch_col1_L0+1 
	MOVLW       0
	MOVWF       ReadTouch_col1_L0+2 
	MOVWF       ReadTouch_col1_L0+3 
;tft_2_4_lib.c,628 :: 		T_ROW = row1;
	MOVF        ReadTouch_row1_L0+0, 0 
	MOVWF       _T_ROW+0 
	MOVF        ReadTouch_row1_L0+1, 0 
	MOVWF       _T_ROW+1 
;tft_2_4_lib.c,629 :: 		T_COL = col1;
	MOVF        ReadTouch_col1_L0+0, 0 
	MOVWF       _T_COL+0 
	MOVF        ReadTouch_col1_L0+1, 0 
	MOVWF       _T_COL+1 
;tft_2_4_lib.c,630 :: 		valid=1;
	MOVLW       1
	MOVWF       ReadTouch_valid_L0+0 
;tft_2_4_lib.c,631 :: 		}
L_ReadTouch85:
;tft_2_4_lib.c,633 :: 		wait_touch=0;
	CLRF        ReadTouch_wait_touch_L0+0 
;tft_2_4_lib.c,634 :: 		}
L_ReadTouch82:
;tft_2_4_lib.c,635 :: 		}
	GOTO        L_ReadTouch80
L_ReadTouch81:
;tft_2_4_lib.c,637 :: 		BD_as_output();                   // Data_portC = out
	CALL        _BD_as_output+0, 0
;tft_2_4_lib.c,638 :: 		TFT_RS_Direction = 0; // OUT
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;tft_2_4_lib.c,639 :: 		TFT_WR_Direction = 0;  // OUT
	BCF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;tft_2_4_lib.c,641 :: 		Calibration_touch();
	CALL        _Calibration_touch+0, 0
;tft_2_4_lib.c,642 :: 		if (sw_value == 7) {
	MOVF        _sw_value+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L_ReadTouch86
;tft_2_4_lib.c,643 :: 		sw_value = 0;
	CLRF        _sw_value+0 
;tft_2_4_lib.c,644 :: 		cnt_16 = 0;
	CLRF        _cnt_16+0 
	CLRF        _cnt_16+1 
;tft_2_4_lib.c,645 :: 		page_1();
	CALL        _page_1+0, 0
;tft_2_4_lib.c,646 :: 		EEPROM_Write(0x00, col_0 >> 8);       // Col_0
	CLRF        FARG_EEPROM_Write_address+0 
	MOVF        _col_0+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,647 :: 		EEPROM_Write(0x01, col_0);
	MOVLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _col_0+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,648 :: 		EEPROM_Write(0x02, col_320 >> 8);  // col_320
	MOVLW       2
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _col_320+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,649 :: 		EEPROM_Write(0x03, col_320);
	MOVLW       3
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _col_320+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,650 :: 		EEPROM_Write(0x04, row_0 >> 8);    // row_0
	MOVLW       4
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _row_0+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,651 :: 		EEPROM_Write(0x05, row_0);
	MOVLW       5
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _row_0+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,652 :: 		EEPROM_Write(0x06, row_240 >> 8);  // row_240
	MOVLW       6
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _row_240+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,653 :: 		EEPROM_Write(0x07, row_240);
	MOVLW       7
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _row_240+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;tft_2_4_lib.c,655 :: 		}
L_ReadTouch86:
;tft_2_4_lib.c,660 :: 		B_COLOR=0x0C0C;
	MOVLW       12
	MOVWF       _B_COLOR+0 
	MOVLW       12
	MOVWF       _B_COLOR+1 
;tft_2_4_lib.c,661 :: 		F_SIZE=2;
	MOVLW       2
	MOVWF       _F_SIZE+0 
;tft_2_4_lib.c,662 :: 		P_COL=240;            // 230
	MOVLW       240
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;tft_2_4_lib.c,663 :: 		P_ROW=80;            // 200
	MOVLW       80
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;tft_2_4_lib.c,664 :: 		Display_integer(row);
	MOVF        _row+0, 0 
	MOVWF       FARG_Display_integer_n+0 
	MOVF        _row+1, 0 
	MOVWF       FARG_Display_integer_n+1 
	CALL        _Display_integer+0, 0
;tft_2_4_lib.c,665 :: 		P_COL=240;           //  280
	MOVLW       240
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;tft_2_4_lib.c,666 :: 		P_ROW=100;           //  200
	MOVLW       100
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;tft_2_4_lib.c,667 :: 		Display_integer(col);
	MOVF        _col+0, 0 
	MOVWF       FARG_Display_integer_n+0 
	MOVF        _col+1, 0 
	MOVWF       FARG_Display_integer_n+1 
	CALL        _Display_integer+0, 0
;tft_2_4_lib.c,670 :: 		F_SIZE=2;
	MOVLW       2
	MOVWF       _F_SIZE+0 
;tft_2_4_lib.c,671 :: 		P_COL=240;           //  230
	MOVLW       240
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;tft_2_4_lib.c,672 :: 		P_ROW=130;           //  220
	MOVLW       130
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;tft_2_4_lib.c,673 :: 		Display_clear_char(3);
	MOVLW       3
	MOVWF       FARG_Display_clear_char_n+0 
	CALL        _Display_clear_char+0, 0
;tft_2_4_lib.c,674 :: 		Display_integer(T_ROW);
	MOVF        _T_ROW+0, 0 
	MOVWF       FARG_Display_integer_n+0 
	MOVF        _T_ROW+1, 0 
	MOVWF       FARG_Display_integer_n+1 
	CALL        _Display_integer+0, 0
;tft_2_4_lib.c,675 :: 		P_COL=240;           //  280
	MOVLW       240
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;tft_2_4_lib.c,676 :: 		P_ROW=150;           //  220
	MOVLW       150
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;tft_2_4_lib.c,677 :: 		Display_clear_char(3);
	MOVLW       3
	MOVWF       FARG_Display_clear_char_n+0 
	CALL        _Display_clear_char+0, 0
;tft_2_4_lib.c,678 :: 		Display_integer(T_COL);
	MOVF        _T_COL+0, 0 
	MOVWF       FARG_Display_integer_n+0 
	MOVF        _T_COL+1, 0 
	MOVWF       FARG_Display_integer_n+1 
	CALL        _Display_integer+0, 0
;tft_2_4_lib.c,679 :: 		B_COLOR=GREEN;
	MOVLW       224
	MOVWF       _B_COLOR+0 
	MOVLW       7
	MOVWF       _B_COLOR+1 
;tft_2_4_lib.c,683 :: 		F_SIZE=3;
	MOVLW       3
	MOVWF       _F_SIZE+0 
;tft_2_4_lib.c,688 :: 		return valid;
	MOVF        ReadTouch_valid_L0+0, 0 
	MOVWF       R0 
;tft_2_4_lib.c,689 :: 		}
L_end_ReadTouch:
	RETURN      0
; end of _ReadTouch

_Delay_msec:

;TFT_PIC18F4520_v10.c,54 :: 		void Delay_msec (unsigned int count_delay){
;TFT_PIC18F4520_v10.c,55 :: 		for (count_delay; count_delay > 0; count_delay --){
L_Delay_msec87:
	MOVLW       0
	MOVWF       R0 
	MOVF        FARG_Delay_msec_count_delay+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Delay_msec186
	MOVF        FARG_Delay_msec_count_delay+0, 0 
	SUBLW       0
L__Delay_msec186:
	BTFSC       STATUS+0, 0 
	GOTO        L_Delay_msec88
;TFT_PIC18F4520_v10.c,56 :: 		Delay_1ms () ;
	CALL        _Delay_1ms+0, 0
;TFT_PIC18F4520_v10.c,55 :: 		for (count_delay; count_delay > 0; count_delay --){
	MOVLW       1
	SUBWF       FARG_Delay_msec_count_delay+0, 1 
	MOVLW       0
	SUBWFB      FARG_Delay_msec_count_delay+1, 1 
;TFT_PIC18F4520_v10.c,57 :: 		}
	GOTO        L_Delay_msec87
L_Delay_msec88:
;TFT_PIC18F4520_v10.c,58 :: 		}
L_end_Delay_msec:
	RETURN      0
; end of _Delay_msec

_setup:

;TFT_PIC18F4520_v10.c,62 :: 		void setup() {
;TFT_PIC18F4520_v10.c,65 :: 		BD_as_output();
	CALL        _BD_as_output+0, 0
;TFT_PIC18F4520_v10.c,67 :: 		LCD_init();
	CALL        _LCD_init+0, 0
;TFT_PIC18F4520_v10.c,68 :: 		LCD_clear(0x0C);
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;TFT_PIC18F4520_v10.c,70 :: 		D_COL=200; // where to display number from keypad
	MOVLW       200
	MOVWF       _D_COL+0 
	MOVLW       0
	MOVWF       _D_COL+1 
;TFT_PIC18F4520_v10.c,71 :: 		D_ROW=5;
	MOVLW       5
	MOVWF       _D_ROW+0 
	MOVLW       0
	MOVWF       _D_ROW+1 
;TFT_PIC18F4520_v10.c,72 :: 		}
L_end_setup:
	RETURN      0
; end of _setup

_Page_1:

;TFT_PIC18F4520_v10.c,79 :: 		void Page_1() {
;TFT_PIC18F4520_v10.c,82 :: 		page = 1;
	MOVLW       1
	MOVWF       _page+0 
;TFT_PIC18F4520_v10.c,84 :: 		LCD_clear(0x0C);
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;TFT_PIC18F4520_v10.c,86 :: 		B_COLOR = GREEN;
	MOVLW       224
	MOVWF       _B_COLOR+0 
	MOVLW       7
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,87 :: 		F_COLOR = BLACK;
	CLRF        _F_COLOR+0 
	CLRF        _F_COLOR+1 
;TFT_PIC18F4520_v10.c,88 :: 		F_SIZE=4;
	MOVLW       4
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,90 :: 		for (i=0; i<11; i++) {
	CLRF        Page_1_i_L0+0 
L_Page_190:
	MOVLW       11
	SUBWF       Page_1_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_Page_191
;TFT_PIC18F4520_v10.c,91 :: 		P_COL=K_COL[i];
	MOVF        Page_1_i_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _K_COL+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R4
	TBLRD*+
	MOVFF       TABLAT+0, R5
	MOVF        R4, 0 
	MOVWF       _P_COL+0 
	MOVF        R5, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,92 :: 		P_ROW=K_ROW[i];
	MOVLW       _K_ROW+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        R0, 0 
	MOVWF       _P_ROW+0 
	MOVF        R1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,93 :: 		LCD_rect(P_COL,P_ROW, 50, 50, GREEN);
	MOVF        R4, 0 
	MOVWF       FARG_LCD_rect_col+0 
	MOVF        R5, 0 
	MOVWF       FARG_LCD_rect_col+1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_rect_row+0 
	MOVF        R1, 0 
	MOVWF       FARG_LCD_rect_row+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_width+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_width+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_height+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_height+1 
	MOVLW       224
	MOVWF       FARG_LCD_rect_color+0 
	MOVLW       7
	MOVWF       FARG_LCD_rect_color+1 
	CALL        _LCD_rect+0, 0
;TFT_PIC18F4520_v10.c,94 :: 		P_COL=K_COL[i]+8;
	MOVF        Page_1_i_L0+0, 0 
	MOVWF       R2 
	MOVLW       0
	MOVWF       R3 
	MOVWF       R4 
	MOVWF       R5 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	RLCF        R4, 1 
	RLCF        R5, 1 
	MOVLW       _K_COL+0
	ADDWF       R2, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R3, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R4, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       8
	ADDWF       R0, 0 
	MOVWF       _P_COL+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,95 :: 		P_ROW=K_ROW[i]+4;
	MOVLW       _K_ROW+0
	ADDWF       R2, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R3, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R4, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       _P_ROW+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,96 :: 		Display_char(K_LABEL[i]);
	MOVLW       _K_LABEL+0
	ADDWF       Page_1_i_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_LABEL+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(_K_LABEL+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_Display_char_znak+0
	CALL        _Display_char+0, 0
;TFT_PIC18F4520_v10.c,90 :: 		for (i=0; i<11; i++) {
	INCF        Page_1_i_L0+0, 1 
;TFT_PIC18F4520_v10.c,97 :: 		}
	GOTO        L_Page_190
L_Page_191:
;TFT_PIC18F4520_v10.c,99 :: 		F_SIZE=3;
	MOVLW       3
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,100 :: 		B_COLOR = YELLOW;
	MOVLW       224
	MOVWF       _B_COLOR+0 
	MOVLW       255
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,101 :: 		F_COLOR = BLACK;
	CLRF        _F_COLOR+0 
	CLRF        _F_COLOR+1 
;TFT_PIC18F4520_v10.c,102 :: 		P_COL = 200;
	MOVLW       200
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,103 :: 		P_ROW = 185;
	MOVLW       185
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,104 :: 		LCD_rect(P_COL, P_ROW, 110, 50, YELLOW);
	MOVLW       200
	MOVWF       FARG_LCD_rect_col+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_col+1 
	MOVLW       185
	MOVWF       FARG_LCD_rect_row+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_row+1 
	MOVLW       110
	MOVWF       FARG_LCD_rect_width+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_width+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_height+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_height+1 
	MOVLW       224
	MOVWF       FARG_LCD_rect_color+0 
	MOVLW       255
	MOVWF       FARG_LCD_rect_color+1 
	CALL        _LCD_rect+0, 0
;TFT_PIC18F4520_v10.c,105 :: 		P_COL=200+2;
	MOVLW       202
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,106 :: 		P_ROW=185+10;
	MOVLW       195
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,107 :: 		Display_string("Page 2");
	MOVLW       ?lstr7_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr7_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;TFT_PIC18F4520_v10.c,109 :: 		}
L_end_Page_1:
	RETURN      0
; end of _Page_1

_Page_2:

;TFT_PIC18F4520_v10.c,113 :: 		void Page_2() {
;TFT_PIC18F4520_v10.c,116 :: 		page = 2;
	MOVLW       2
	MOVWF       _page+0 
;TFT_PIC18F4520_v10.c,118 :: 		LCD_clear(0x0C);
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;TFT_PIC18F4520_v10.c,120 :: 		B_COLOR = 0x0c0c;
	MOVLW       12
	MOVWF       _B_COLOR+0 
	MOVLW       12
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,121 :: 		F_COLOR = RED;
	MOVLW       0
	MOVWF       _F_COLOR+0 
	MOVLW       248
	MOVWF       _F_COLOR+1 
;TFT_PIC18F4520_v10.c,122 :: 		F_SIZE=6;
	MOVLW       6
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,123 :: 		P_COL=20;
	MOVLW       20
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,124 :: 		P_ROW=80;
	MOVLW       80
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,125 :: 		Display_string("Page 2");
	MOVLW       ?lstr8_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr8_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;TFT_PIC18F4520_v10.c,127 :: 		F_SIZE=3;
	MOVLW       3
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,128 :: 		B_COLOR = YELLOW;
	MOVLW       224
	MOVWF       _B_COLOR+0 
	MOVLW       255
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,129 :: 		F_COLOR = BLACK;
	CLRF        _F_COLOR+0 
	CLRF        _F_COLOR+1 
;TFT_PIC18F4520_v10.c,130 :: 		P_COL = 200;
	MOVLW       200
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,131 :: 		P_ROW = 185;
	MOVLW       185
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,132 :: 		LCD_rect(P_COL, P_ROW, 110, 50, YELLOW);
	MOVLW       200
	MOVWF       FARG_LCD_rect_col+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_col+1 
	MOVLW       185
	MOVWF       FARG_LCD_rect_row+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_row+1 
	MOVLW       110
	MOVWF       FARG_LCD_rect_width+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_width+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_height+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_height+1 
	MOVLW       224
	MOVWF       FARG_LCD_rect_color+0 
	MOVLW       255
	MOVWF       FARG_LCD_rect_color+1 
	CALL        _LCD_rect+0, 0
;TFT_PIC18F4520_v10.c,133 :: 		P_COL=200+2;
	MOVLW       202
	MOVWF       _P_COL+0 
	MOVLW       0
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,134 :: 		P_ROW=185+10;
	MOVLW       195
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,135 :: 		Display_string("Page 1");
	MOVLW       ?lstr9_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr9_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;TFT_PIC18F4520_v10.c,137 :: 		}
L_end_Page_2:
	RETURN      0
; end of _Page_2

_main:

;TFT_PIC18F4520_v10.c,141 :: 		void main() {
;TFT_PIC18F4520_v10.c,146 :: 		ADCON1 = 0b00001111;
	MOVLW       15
	MOVWF       ADCON1+0 
;TFT_PIC18F4520_v10.c,147 :: 		CMCON = 0b00000111;
	MOVLW       7
	MOVWF       CMCON+0 
;TFT_PIC18F4520_v10.c,149 :: 		OSCTUNE = 0b01000000;     // PLL ON: 8*4 = 32MHz
	MOVLW       64
	MOVWF       OSCTUNE+0 
;TFT_PIC18F4520_v10.c,150 :: 		OSCCON = 0b01110010;     // 8MHz
	MOVLW       114
	MOVWF       OSCCON+0 
;TFT_PIC18F4520_v10.c,152 :: 		TRISD = 0b00000000;
	CLRF        TRISD+0 
;TFT_PIC18F4520_v10.c,153 :: 		TRISC = 0b00000000;
	CLRF        TRISC+0 
;TFT_PIC18F4520_v10.c,154 :: 		TRISA = 0b00000000;
	CLRF        TRISA+0 
;TFT_PIC18F4520_v10.c,156 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;TFT_PIC18F4520_v10.c,158 :: 		setup ();
	CALL        _setup+0, 0
;TFT_PIC18F4520_v10.c,161 :: 		col_0 = Eeprom_Read(0x00);
	CLRF        FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _col_0+0 
	MOVLW       0
	MOVWF       _col_0+1 
;TFT_PIC18F4520_v10.c,162 :: 		col_0 = col_0 << 8;
	MOVF        _col_0+0, 0 
	MOVWF       _col_0+1 
	CLRF        _col_0+0 
;TFT_PIC18F4520_v10.c,163 :: 		col_0 |= Eeprom_Read(0x01);
	MOVLW       1
	MOVWF       FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	IORWF       _col_0+0, 1 
	MOVLW       0
	IORWF       _col_0+1, 1 
;TFT_PIC18F4520_v10.c,164 :: 		col_320 = Eeprom_Read(0x02);
	MOVLW       2
	MOVWF       FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _col_320+0 
	MOVLW       0
	MOVWF       _col_320+1 
;TFT_PIC18F4520_v10.c,165 :: 		col_320 = col_320 << 8;
	MOVF        _col_320+0, 0 
	MOVWF       _col_320+1 
	CLRF        _col_320+0 
;TFT_PIC18F4520_v10.c,166 :: 		col_320 |= Eeprom_Read(0x03);
	MOVLW       3
	MOVWF       FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	IORWF       _col_320+0, 1 
	MOVLW       0
	IORWF       _col_320+1, 1 
;TFT_PIC18F4520_v10.c,167 :: 		row_0 = Eeprom_Read(0x04);
	MOVLW       4
	MOVWF       FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _row_0+0 
	MOVLW       0
	MOVWF       _row_0+1 
;TFT_PIC18F4520_v10.c,168 :: 		row_0 = row_0 << 8;
	MOVF        _row_0+0, 0 
	MOVWF       _row_0+1 
	CLRF        _row_0+0 
;TFT_PIC18F4520_v10.c,169 :: 		row_0 |= Eeprom_Read(0x05);
	MOVLW       5
	MOVWF       FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	IORWF       _row_0+0, 1 
	MOVLW       0
	IORWF       _row_0+1, 1 
;TFT_PIC18F4520_v10.c,170 :: 		row_240 = Eeprom_Read(0x06);
	MOVLW       6
	MOVWF       FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _row_240+0 
	MOVLW       0
	MOVWF       _row_240+1 
;TFT_PIC18F4520_v10.c,171 :: 		row_240 = row_240 << 8;
	MOVF        _row_240+0, 0 
	MOVWF       _row_240+1 
	CLRF        _row_240+0 
;TFT_PIC18F4520_v10.c,172 :: 		row_240 |= Eeprom_Read(0x07);
	MOVLW       7
	MOVWF       FARG_EEPROM_Read_address+0 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	IORWF       _row_240+0, 1 
	MOVLW       0
	IORWF       _row_240+1, 1 
;TFT_PIC18F4520_v10.c,174 :: 		sw_value = 0;
	CLRF        _sw_value+0 
;TFT_PIC18F4520_v10.c,175 :: 		cnt_16 = 0;
	CLRF        _cnt_16+0 
	CLRF        _cnt_16+1 
;TFT_PIC18F4520_v10.c,177 :: 		LCD_clear(0x0C);
	MOVLW       12
	MOVWF       FARG_LCD_clear_color+0 
	CALL        _LCD_clear+0, 0
;TFT_PIC18F4520_v10.c,178 :: 		B_COLOR = GREEN;
	MOVLW       224
	MOVWF       _B_COLOR+0 
	MOVLW       7
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,179 :: 		F_COLOR = BLACK;
	CLRF        _F_COLOR+0 
	CLRF        _F_COLOR+1 
;TFT_PIC18F4520_v10.c,181 :: 		LCD_rect(220,80, 50, 30, RED);
	MOVLW       220
	MOVWF       FARG_LCD_rect_col+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_col+1 
	MOVLW       80
	MOVWF       FARG_LCD_rect_row+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_row+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_width+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_width+1 
	MOVLW       30
	MOVWF       FARG_LCD_rect_height+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_height+1 
	MOVLW       0
	MOVWF       FARG_LCD_rect_color+0 
	MOVLW       248
	MOVWF       FARG_LCD_rect_color+1 
	CALL        _LCD_rect+0, 0
;TFT_PIC18F4520_v10.c,183 :: 		P_COL=0;
	CLRF        _P_COL+0 
	CLRF        _P_COL+1 
;TFT_PIC18F4520_v10.c,184 :: 		P_ROW=10;
	MOVLW       10
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,185 :: 		F_COLOR = BLACK;         // Blue!
	CLRF        _F_COLOR+0 
	CLRF        _F_COLOR+1 
;TFT_PIC18F4520_v10.c,186 :: 		B_COLOR = 0x0C0C;
	MOVLW       12
	MOVWF       _B_COLOR+0 
	MOVLW       12
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,187 :: 		F_SIZE=1;
	MOVLW       1
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,188 :: 		Display_string("JUMBO elettronica");
	MOVLW       ?lstr10_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr10_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;TFT_PIC18F4520_v10.c,190 :: 		P_COL=0;
	CLRF        _P_COL+0 
	CLRF        _P_COL+1 
;TFT_PIC18F4520_v10.c,191 :: 		P_ROW=25;
	MOVLW       25
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,192 :: 		F_COLOR = RED;         // Blue!
	MOVLW       0
	MOVWF       _F_COLOR+0 
	MOVLW       248
	MOVWF       _F_COLOR+1 
;TFT_PIC18F4520_v10.c,193 :: 		B_COLOR = 0x0C0C;
	MOVLW       12
	MOVWF       _B_COLOR+0 
	MOVLW       12
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,194 :: 		F_SIZE=2;
	MOVLW       2
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,196 :: 		Display_integer(12345);
	MOVLW       57
	MOVWF       FARG_Display_integer_n+0 
	MOVLW       48
	MOVWF       FARG_Display_integer_n+1 
	CALL        _Display_integer+0, 0
;TFT_PIC18F4520_v10.c,198 :: 		F_COLOR = BLUE;      // Rosso!
	MOVLW       31
	MOVWF       _F_COLOR+0 
	MOVLW       0
	MOVWF       _F_COLOR+1 
;TFT_PIC18F4520_v10.c,199 :: 		P_COL=0;
	CLRF        _P_COL+0 
	CLRF        _P_COL+1 
;TFT_PIC18F4520_v10.c,200 :: 		P_ROW=50;
	MOVLW       50
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,201 :: 		F_SIZE=3;
	MOVLW       3
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,202 :: 		Display_string("JUMBO elettronica");
	MOVLW       ?lstr11_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr11_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;TFT_PIC18F4520_v10.c,204 :: 		F_COLOR = YELLOW;      // Rosso!
	MOVLW       224
	MOVWF       _F_COLOR+0 
	MOVLW       255
	MOVWF       _F_COLOR+1 
;TFT_PIC18F4520_v10.c,205 :: 		P_COL=0;
	CLRF        _P_COL+0 
	CLRF        _P_COL+1 
;TFT_PIC18F4520_v10.c,206 :: 		P_ROW=90;
	MOVLW       90
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,207 :: 		F_SIZE=5;
	MOVLW       5
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,208 :: 		Display_string("JUMBO");
	MOVLW       ?lstr12_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr12_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;TFT_PIC18F4520_v10.c,210 :: 		F_COLOR = WHITE;      // Rosso!
	MOVLW       255
	MOVWF       _F_COLOR+0 
	MOVLW       255
	MOVWF       _F_COLOR+1 
;TFT_PIC18F4520_v10.c,211 :: 		P_COL=0;
	CLRF        _P_COL+0 
	CLRF        _P_COL+1 
;TFT_PIC18F4520_v10.c,212 :: 		P_ROW=150;
	MOVLW       150
	MOVWF       _P_ROW+0 
	MOVLW       0
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,213 :: 		F_SIZE=8;
	MOVLW       8
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,214 :: 		Display_string("JUMBO");
	MOVLW       ?lstr13_TFT_PIC18F4520_v10+0
	MOVWF       FARG_Display_string_str+0 
	MOVLW       hi_addr(?lstr13_TFT_PIC18F4520_v10+0)
	MOVWF       FARG_Display_string_str+1 
	CALL        _Display_string+0, 0
;TFT_PIC18F4520_v10.c,221 :: 		Delay_msec(100);
	MOVLW       100
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;TFT_PIC18F4520_v10.c,222 :: 		F_SIZE=4;
	MOVLW       4
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,223 :: 		Page_1();
	CALL        _Page_1+0, 0
;TFT_PIC18F4520_v10.c,226 :: 		while (1) {
L_main93:
;TFT_PIC18F4520_v10.c,228 :: 		LED = 1;
	BSF         PORTD+0, 2 
;TFT_PIC18F4520_v10.c,229 :: 		Delay_msec(50);
	MOVLW       50
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;TFT_PIC18F4520_v10.c,230 :: 		LED = 0;
	BCF         PORTD+0, 2 
;TFT_PIC18F4520_v10.c,231 :: 		Delay_msec(50);
	MOVLW       50
	MOVWF       FARG_Delay_msec_count_delay+0 
	MOVLW       0
	MOVWF       FARG_Delay_msec_count_delay+1 
	CALL        _Delay_msec+0, 0
;TFT_PIC18F4520_v10.c,233 :: 		touch = ReadTouch();
	CALL        _ReadTouch+0, 0
	MOVF        R0, 0 
	MOVWF       main_touch_L0+0 
;TFT_PIC18F4520_v10.c,235 :: 		if(touch && page == 1) {
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main97
	MOVF        _page+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_main97
L__main130:
;TFT_PIC18F4520_v10.c,236 :: 		for (i=0; i<11; i++) {
	CLRF        main_i_L0+0 
	CLRF        main_i_L0+1 
L_main98:
	MOVLW       128
	XORWF       main_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main191
	MOVLW       11
	SUBWF       main_i_L0+0, 0 
L__main191:
	BTFSC       STATUS+0, 0 
	GOTO        L_main99
;TFT_PIC18F4520_v10.c,237 :: 		if ( T_COL >K_COL[i] && T_COL <K_COL[i]+50 && T_ROW>K_ROW[i] && T_ROW<K_ROW[i]+50 ) {
	MOVF        main_i_L0+0, 0 
	MOVWF       R0 
	MOVF        main_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _K_COL+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	TBLRD*+
	MOVFF       TABLAT+0, R2
	MOVF        _T_COL+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main192
	MOVF        _T_COL+0, 0 
	SUBWF       R1, 0 
L__main192:
	BTFSC       STATUS+0, 0 
	GOTO        L_main103
	MOVF        main_i_L0+0, 0 
	MOVWF       R0 
	MOVF        main_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _K_COL+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       50
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	SUBWF       _T_COL+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main193
	MOVF        R2, 0 
	SUBWF       _T_COL+0, 0 
L__main193:
	BTFSC       STATUS+0, 0 
	GOTO        L_main103
	MOVF        main_i_L0+0, 0 
	MOVWF       R0 
	MOVF        main_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _K_ROW+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	TBLRD*+
	MOVFF       TABLAT+0, R2
	MOVF        _T_ROW+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main194
	MOVF        _T_ROW+0, 0 
	SUBWF       R1, 0 
L__main194:
	BTFSC       STATUS+0, 0 
	GOTO        L_main103
	MOVF        main_i_L0+0, 0 
	MOVWF       R0 
	MOVF        main_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _K_ROW+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       50
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	SUBWF       _T_ROW+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main195
	MOVF        R2, 0 
	SUBWF       _T_ROW+0, 0 
L__main195:
	BTFSC       STATUS+0, 0 
	GOTO        L_main103
L__main129:
;TFT_PIC18F4520_v10.c,238 :: 		P_COL=K_COL[i];
	MOVF        main_i_L0+0, 0 
	MOVWF       R0 
	MOVF        main_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _K_COL+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R4
	TBLRD*+
	MOVFF       TABLAT+0, R5
	MOVF        R4, 0 
	MOVWF       _P_COL+0 
	MOVF        R5, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,239 :: 		P_ROW=K_ROW[i];
	MOVLW       _K_ROW+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        R0, 0 
	MOVWF       _P_ROW+0 
	MOVF        R1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,240 :: 		LCD_rect(P_COL,P_ROW, 50, 50, RED);
	MOVF        R4, 0 
	MOVWF       FARG_LCD_rect_col+0 
	MOVF        R5, 0 
	MOVWF       FARG_LCD_rect_col+1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_rect_row+0 
	MOVF        R1, 0 
	MOVWF       FARG_LCD_rect_row+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_width+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_width+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_height+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_height+1 
	MOVLW       0
	MOVWF       FARG_LCD_rect_color+0 
	MOVLW       248
	MOVWF       FARG_LCD_rect_color+1 
	CALL        _LCD_rect+0, 0
;TFT_PIC18F4520_v10.c,241 :: 		P_COL=K_COL[i]+8;
	MOVF        main_i_L0+0, 0 
	MOVWF       R2 
	MOVF        main_i_L0+1, 0 
	MOVWF       R3 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R4 
	MOVWF       R5 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	RLCF        R4, 1 
	RLCF        R5, 1 
	MOVLW       _K_COL+0
	ADDWF       R2, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R3, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R4, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       8
	ADDWF       R0, 0 
	MOVWF       _P_COL+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,242 :: 		P_ROW=K_ROW[i]+4;
	MOVLW       _K_ROW+0
	ADDWF       R2, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R3, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R4, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       _P_ROW+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,243 :: 		B_COLOR = BLACK;
	CLRF        _B_COLOR+0 
	CLRF        _B_COLOR+1 
;TFT_PIC18F4520_v10.c,244 :: 		F_SIZE=3;
	MOVLW       3
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,245 :: 		Display_char(K_LABEL[i]);
	MOVLW       _K_LABEL+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_LABEL+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_LABEL+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_Display_char_znak+0
	CALL        _Display_char+0, 0
;TFT_PIC18F4520_v10.c,246 :: 		if (K_LABEL[i]=='<') {
	MOVLW       _K_LABEL+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_LABEL+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_LABEL+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        R1, 0 
	XORLW       60
	BTFSS       STATUS+0, 2 
	GOTO        L_main104
;TFT_PIC18F4520_v10.c,247 :: 		if (D_COL>10){
	MOVLW       0
	MOVWF       R0 
	MOVF        _D_COL+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main196
	MOVF        _D_COL+0, 0 
	SUBLW       10
L__main196:
	BTFSC       STATUS+0, 0 
	GOTO        L_main105
;TFT_PIC18F4520_v10.c,248 :: 		D_COL-=F_SIZE*6;
	MOVLW       6
	MULWF       _F_SIZE+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        PRODH+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	SUBWF       _D_COL+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	SUBWFB      _D_COL+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       _D_COL+0 
	MOVF        R1, 0 
	MOVWF       _D_COL+1 
;TFT_PIC18F4520_v10.c,249 :: 		P_COL=D_COL;
	MOVF        R0, 0 
	MOVWF       _P_COL+0 
	MOVF        R1, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,250 :: 		P_ROW=D_ROW;
	MOVF        _D_ROW+0, 0 
	MOVWF       _P_ROW+0 
	MOVF        _D_ROW+1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,251 :: 		B_COLOR=0x0C0C;
	MOVLW       12
	MOVWF       _B_COLOR+0 
	MOVLW       12
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,252 :: 		Display_clear_char(1);
	MOVLW       1
	MOVWF       FARG_Display_clear_char_n+0 
	CALL        _Display_clear_char+0, 0
;TFT_PIC18F4520_v10.c,253 :: 		}
L_main105:
;TFT_PIC18F4520_v10.c,254 :: 		}
	GOTO        L_main106
L_main104:
;TFT_PIC18F4520_v10.c,255 :: 		else if( (D_COL + (F_SIZE*6)) < 320 ) {
	MOVLW       6
	MULWF       _F_SIZE+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        PRODH+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       _D_COL+0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	ADDWFC      _D_COL+1, 0 
	MOVWF       R3 
	MOVLW       1
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main197
	MOVLW       64
	SUBWF       R2, 0 
L__main197:
	BTFSC       STATUS+0, 0 
	GOTO        L_main107
;TFT_PIC18F4520_v10.c,256 :: 		P_COL=D_COL;
	MOVF        _D_COL+0, 0 
	MOVWF       _P_COL+0 
	MOVF        _D_COL+1, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,257 :: 		P_ROW=D_ROW;
	MOVF        _D_ROW+0, 0 
	MOVWF       _P_ROW+0 
	MOVF        _D_ROW+1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,258 :: 		B_COLOR=0x0C0C;
	MOVLW       12
	MOVWF       _B_COLOR+0 
	MOVLW       12
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,259 :: 		Display_char(K_LABEL[i]);
	MOVLW       _K_LABEL+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_LABEL+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_LABEL+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_Display_char_znak+0
	CALL        _Display_char+0, 0
;TFT_PIC18F4520_v10.c,260 :: 		D_COL=P_COL;
	MOVF        _P_COL+0, 0 
	MOVWF       _D_COL+0 
	MOVF        _P_COL+1, 0 
	MOVWF       _D_COL+1 
;TFT_PIC18F4520_v10.c,261 :: 		D_ROW=P_ROW;
	MOVF        _P_ROW+0, 0 
	MOVWF       _D_ROW+0 
	MOVF        _P_ROW+1, 0 
	MOVWF       _D_ROW+1 
;TFT_PIC18F4520_v10.c,262 :: 		}
L_main107:
L_main106:
;TFT_PIC18F4520_v10.c,263 :: 		Delay_us(100);
	MOVLW       66
	MOVWF       R13, 0
L_main108:
	DECFSZ      R13, 1, 1
	BRA         L_main108
	NOP
;TFT_PIC18F4520_v10.c,264 :: 		P_COL = K_COL[i];
	MOVF        main_i_L0+0, 0 
	MOVWF       R0 
	MOVF        main_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       _K_COL+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R4
	TBLRD*+
	MOVFF       TABLAT+0, R5
	MOVF        R4, 0 
	MOVWF       _P_COL+0 
	MOVF        R5, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,265 :: 		P_ROW = K_ROW[i];
	MOVLW       _K_ROW+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        R0, 0 
	MOVWF       _P_ROW+0 
	MOVF        R1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,266 :: 		LCD_rect(P_COL,P_ROW, 50, 50, GREEN);
	MOVF        R4, 0 
	MOVWF       FARG_LCD_rect_col+0 
	MOVF        R5, 0 
	MOVWF       FARG_LCD_rect_col+1 
	MOVF        R0, 0 
	MOVWF       FARG_LCD_rect_row+0 
	MOVF        R1, 0 
	MOVWF       FARG_LCD_rect_row+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_width+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_width+1 
	MOVLW       50
	MOVWF       FARG_LCD_rect_height+0 
	MOVLW       0
	MOVWF       FARG_LCD_rect_height+1 
	MOVLW       224
	MOVWF       FARG_LCD_rect_color+0 
	MOVLW       7
	MOVWF       FARG_LCD_rect_color+1 
	CALL        _LCD_rect+0, 0
;TFT_PIC18F4520_v10.c,267 :: 		P_COL=K_COL[i]+8;
	MOVF        main_i_L0+0, 0 
	MOVWF       R2 
	MOVF        main_i_L0+1, 0 
	MOVWF       R3 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	MOVWF       R4 
	MOVWF       R5 
	RLCF        R2, 1 
	BCF         R2, 0 
	RLCF        R3, 1 
	RLCF        R4, 1 
	RLCF        R5, 1 
	MOVLW       _K_COL+0
	ADDWF       R2, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_COL+0)
	ADDWFC      R3, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_COL+0)
	ADDWFC      R4, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       8
	ADDWF       R0, 0 
	MOVWF       _P_COL+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _P_COL+1 
;TFT_PIC18F4520_v10.c,268 :: 		P_ROW=K_ROW[i]+4;
	MOVLW       _K_ROW+0
	ADDWF       R2, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_ROW+0)
	ADDWFC      R3, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_ROW+0)
	ADDWFC      R4, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       _P_ROW+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       _P_ROW+1 
;TFT_PIC18F4520_v10.c,269 :: 		B_COLOR=GREEN;
	MOVLW       224
	MOVWF       _B_COLOR+0 
	MOVLW       7
	MOVWF       _B_COLOR+1 
;TFT_PIC18F4520_v10.c,270 :: 		F_COLOR = BLACK;
	CLRF        _F_COLOR+0 
	CLRF        _F_COLOR+1 
;TFT_PIC18F4520_v10.c,271 :: 		F_SIZE=4;
	MOVLW       4
	MOVWF       _F_SIZE+0 
;TFT_PIC18F4520_v10.c,272 :: 		Display_char(K_LABEL[i]);
	MOVLW       _K_LABEL+0
	ADDWF       main_i_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_K_LABEL+0)
	ADDWFC      main_i_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_K_LABEL+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	BTFSC       main_i_L0+1, 7 
	MOVLW       255
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, FARG_Display_char_znak+0
	CALL        _Display_char+0, 0
;TFT_PIC18F4520_v10.c,273 :: 		}
L_main103:
;TFT_PIC18F4520_v10.c,236 :: 		for (i=0; i<11; i++) {
	INFSNZ      main_i_L0+0, 1 
	INCF        main_i_L0+1, 1 
;TFT_PIC18F4520_v10.c,274 :: 		}
	GOTO        L_main98
L_main99:
;TFT_PIC18F4520_v10.c,275 :: 		if (T_COL > 200 && T_COL < 310 && T_ROW > 185 && T_ROW < 235) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _T_COL+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main198
	MOVF        _T_COL+0, 0 
	SUBLW       200
L__main198:
	BTFSC       STATUS+0, 0 
	GOTO        L_main111
	MOVLW       1
	SUBWF       _T_COL+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main199
	MOVLW       54
	SUBWF       _T_COL+0, 0 
L__main199:
	BTFSC       STATUS+0, 0 
	GOTO        L_main111
	MOVLW       0
	MOVWF       R0 
	MOVF        _T_ROW+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main200
	MOVF        _T_ROW+0, 0 
	SUBLW       185
L__main200:
	BTFSC       STATUS+0, 0 
	GOTO        L_main111
	MOVLW       0
	SUBWF       _T_ROW+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main201
	MOVLW       235
	SUBWF       _T_ROW+0, 0 
L__main201:
	BTFSC       STATUS+0, 0 
	GOTO        L_main111
L__main128:
;TFT_PIC18F4520_v10.c,276 :: 		T_COL = 0;
	CLRF        _T_COL+0 
	CLRF        _T_COL+1 
;TFT_PIC18F4520_v10.c,277 :: 		T_ROW = 0;
	CLRF        _T_ROW+0 
	CLRF        _T_ROW+1 
;TFT_PIC18F4520_v10.c,278 :: 		Page_2();
	CALL        _Page_2+0, 0
;TFT_PIC18F4520_v10.c,279 :: 		}
L_main111:
;TFT_PIC18F4520_v10.c,280 :: 		}
L_main97:
;TFT_PIC18F4520_v10.c,282 :: 		if(touch && page == 2) {
	MOVF        main_touch_L0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main114
	MOVF        _page+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_main114
L__main127:
;TFT_PIC18F4520_v10.c,283 :: 		if (T_COL > 200 && T_COL < 310 && T_ROW > 185 && T_ROW < 235) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _T_COL+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main202
	MOVF        _T_COL+0, 0 
	SUBLW       200
L__main202:
	BTFSC       STATUS+0, 0 
	GOTO        L_main117
	MOVLW       1
	SUBWF       _T_COL+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main203
	MOVLW       54
	SUBWF       _T_COL+0, 0 
L__main203:
	BTFSC       STATUS+0, 0 
	GOTO        L_main117
	MOVLW       0
	MOVWF       R0 
	MOVF        _T_ROW+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main204
	MOVF        _T_ROW+0, 0 
	SUBLW       185
L__main204:
	BTFSC       STATUS+0, 0 
	GOTO        L_main117
	MOVLW       0
	SUBWF       _T_ROW+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main205
	MOVLW       235
	SUBWF       _T_ROW+0, 0 
L__main205:
	BTFSC       STATUS+0, 0 
	GOTO        L_main117
L__main126:
;TFT_PIC18F4520_v10.c,284 :: 		T_COL = 0;
	CLRF        _T_COL+0 
	CLRF        _T_COL+1 
;TFT_PIC18F4520_v10.c,285 :: 		T_ROW = 0;
	CLRF        _T_ROW+0 
	CLRF        _T_ROW+1 
;TFT_PIC18F4520_v10.c,286 :: 		Page_1();
	CALL        _Page_1+0, 0
;TFT_PIC18F4520_v10.c,287 :: 		}
L_main117:
;TFT_PIC18F4520_v10.c,288 :: 		}
L_main114:
;TFT_PIC18F4520_v10.c,289 :: 		}
	GOTO        L_main93
;TFT_PIC18F4520_v10.c,291 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
